Retrieving Profile List
GET/profilewords/:dgn/
You can retrieve a list of profiles in JSON format.
Request
Responses
- 200
- 401
- 404
- 500
Returns a list of profiles in JSON format.
Returned when authentication of the API key (service authentication key string) fails.
| Response body | Error situation |
|---|---|
{"code":"-","message":"can't verify service authorization"} | When authentication of the API key fails |
{"code":"-","message":"service authorization has expired: <expirationTime> (<expiresIn>)"} | When the API key has expired |
Returned when path parameters are not specified.
| Response body | Error situation |
|---|---|
{"code":"?","message":"missing dictation grammar file name"} | When the connection engine name <dgn> is not specified |
{"code":"?","message":"missing profile id"} | When the profile ID <pid> is not specified |
Returned when an unexpected exception occurs.
| Response body | Error situation |
|---|---|
{"code":"?","message":"unexpected exception occurred (<optionalMessage>)"} | When an unexpected exception occurs |